package com.yihu.jw.restmodel.base.patient;

import com.yihu.jw.restmodel.IntegerIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * 居民卡包vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2018年11月27日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "PatientMedicareCardVO", description = "居民卡包")
public class PatientMedicareCardVO extends IntegerIdentityVO{

    /**
	 * 卡标识
	 */
	@ApiModelProperty(value = "卡标识", example = "模块1")
    private String code;

    /**
	 * 卡的大类（A-医疗卡，B-优惠券，C-银行卡，unknow-其他）
	 */
	@ApiModelProperty(value = "卡的大类（A-医疗卡，B-优惠券，C-银行卡，unknow-其他）", example = "模块1")
    private String parentType;

    /**
	 * 卡的小类：医疗卡包含 A_01 医保卡，A_02 电子社保卡 A_03 电子就诊卡等等，，，
	 */
	@ApiModelProperty(value = "卡的小类：医疗卡包含 A_01 医(社)保卡， A_02 电子就诊卡等等，，，", example = "模块1")
    private String type;

    /**
	 * 居民标识
	 */
	@ApiModelProperty(value = "居民标识", example = "模块1")
    private String patientCode;

    /**
	 * 医社保卡缴交的城市
	 */
	@ApiModelProperty(value = "医社保卡缴交的城市", example = "模块1")
    private String cityCode;

    /**
	 * 微信openid，有些卡会绑定微信
	 */
	@ApiModelProperty(value = "微信openid，有些卡会绑定微信", example = "hsfjk89jeoi78768734rg2834rt283ih")
    private String wxOpenid;

    /**
     * 机构code，就诊卡跟医院关联
     */
    @ApiModelProperty(value = "机构code，就诊卡跟医院关联", example = "273489jeoi78768734rg2834rt283ih")
    private String orgCode;


    /**
	 * 备注
	 */
	@ApiModelProperty(value = "备注", example = "模块1")
    private String remark;

    /**
	 * 状态，0-解除绑定，1-绑定中
	 */
	@ApiModelProperty(value = "状态，0-解除绑定，1-绑定中", example = "模块1")
    private String del;


    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }

    public String getParentType() {
        return parentType;
    }
    public void setParentType(String parentType) {
        this.parentType = parentType;
    }

    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

    public String getPatientCode() {
        return patientCode;
    }
    public void setPatientCode(String patientCode) {
        this.patientCode = patientCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getWxOpenid() {
        return wxOpenid;
    }
    public void setWxOpenid(String wxOpenid) {
        this.wxOpenid = wxOpenid;
    }

    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDel() {
        return del;
    }
    public void setDel(String del) {
        this.del = del;
    }


    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
}